package com.steerinfo.baseinfo.meterbasescalepoint.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="秤点配置表")
public class MeterBaseScalePoint implements IBasePO<String> {
    /**
     * 秤点编号(SCALE_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="秤点编号",required=true)
    private String scalePointNo;

    /**
     * 秤点名称(SCALE_POINT_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="秤点名称",required=true)
    private String scalePointName;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String baseSpotName;

    /**
     * 称重仪表型号(WEIGH_INSTRUMENT_MODEL,VARCHAR,60)
     */
    @ApiModelProperty(value="称重仪表型号",required=false)
    private String weighInstrumentModel;

    /**
     * 称重仪表参数(WEIGH_INSTRUMENT_PARAM,VARCHAR,100)
     */
    @ApiModelProperty(value="称重仪表参数",required=false)
    private String weighInstrumentParam;

    /**
     * MOXA卡IP(MOXA_IP,VARCHAR,20)
     */
    @ApiModelProperty(value="MOXA卡IP",required=false)
    private String moxaIp;

    /**
     * MOXA卡端口(MOXA_PORT,VARCHAR,10)
     */
    @ApiModelProperty(value="MOXA卡端口",required=false)
    private String moxaPort;

    /**
     * 标志（0：无效；1：有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="标志（0：无效；1：有效）",required=false)
    private String validFlag;

    /**
     * 最后在线时间(LAST_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="最后在线时间",required=false)
    private Date lastTime;

    /**
     * 重量变化最后的时间(WEIGHT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="重量变化最后的时间",required=false)
    private Date weightTime;

    /**
     * 接管终端用户（远程计量用）(USER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="接管终端用户（远程计量用）",required=false)
    private String userNo;

    /**
     * 监控用户(监控界面用)(MONITOR_USER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="监控用户(监控界面用)",required=false)
    private String monitorUserNo;

    /**
     * 采集到的重量或现场显示的重量(WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="采集到的重量或现场显示的重量",required=false)
    private BigDecimal weight;

    /**
     * 与实时库对应的采集点(COLLECTION_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="与实时库对应的采集点",required=false)
    private String collectionCode;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 计量点类型编号(SPOT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点类型编号",required=false)
    private String spotTypeNo;

    /**
     * 计量点类型名称(SPOT_TYPE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点类型名称",required=false)
    private String spotTypeName;

    /**
     * 秤体没有回零的零点值(WEIGHT_ZERO,DECIMAL,15)
     */
    @ApiModelProperty(value="秤体没有回零的零点值",required=false)
    private BigDecimal weightZero;

    /**
     * 监控用户ip地址(监控界面用)(MONITOR_USER_IP,VARCHAR,20)
     */
    @ApiModelProperty(value="监控用户ip地址(监控界面用)",required=false)
    private String monitorUserIp;

    /**
     * 0未呼叫，1呼叫待接听，2呼叫已接听(IS_HELP,VARCHAR,1)
     */
    @ApiModelProperty(value="0未呼叫，1呼叫待接听，2呼叫已接听",required=false)
    private String isHelp;

    /**
     * 0智能终端，1远程计量呼叫(派位阶段)，2远程接管(IS_TAKE_OVER,VARCHAR,1)
     */
    @ApiModelProperty(value="0智能终端，1远程计量呼叫(派位阶段)，2远程接管",required=false)
    private String isTakeOver;

    /**
     * 写入LED的值(LED_WRITER,VARCHAR,200)
     */
    @ApiModelProperty(value="写入LED的值",required=false)
    private String ledWriter;

    /**
     * rfid车号(RFID_CAR,VARCHAR,20)
     */
    @ApiModelProperty(value="rfid车号",required=false)
    private String rfidCar;

    /**
     * 抓拍车号(PHOTO_CAR,VARCHAR,20)
     */
    @ApiModelProperty(value="抓拍车号",required=false)
    private String photoCar;

    /**
     * 重量异常 0正常 1异常(WGT_ERR,VARCHAR,1)
     */
    @ApiModelProperty(value="重量异常 0正常 1异常",required=false)
    private String wgtErr;

    /**
     * 接管用户ip地址(接管界面用)(USER_IP,VARCHAR,20)
     */
    @ApiModelProperty(value="接管用户ip地址(接管界面用)",required=false)
    private String userIp;

    /**
     * AI识别自重重量(AI_WEIGHT,VARCHAR,20)
     */
    @ApiModelProperty(value="AI识别自重重量",required=false)
    private String aiWeight;

    /**
     * 车号异常（0正常 1异常）(CAR_ERR,VARCHAR,1)
     */
    @ApiModelProperty(value="车号异常（0正常 1异常）",required=false)
    private String carErr;

    /**
     * 衡器电源状态（0正常 1异常）(POWER_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="衡器电源状态（0正常 1异常）",required=false)
    private String powerState;

    /**
     * 硬盘录像机状态（0正常 1异常）(DVR_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="硬盘录像机状态（0正常 1异常）",required=false)
    private String dvrState;

    /**
     * MOXA状态（0正常 1异常）(MOXA_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="MOXA状态（0正常 1异常）",required=false)
    private String moxaState;

    /**
     * PLC状态（0正常 1异常）(PLC_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="PLC状态（0正常 1异常）",required=false)
    private String plcState;

    /**
     * 红外对射状态（0正常 1异常）(LEFT_INFRARED_RAY_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="红外对射状态（0正常 1异常）",required=false)
    private String leftInfraredRayState;

    /**
     * 红外对射状态（0正常 1异常）(RIGHT_INFRARED_RAY_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="红外对射状态（0正常 1异常）",required=false)
    private String rightInfraredRayState;

    /**
     * 功放状态（0正常 1异常）(AMPLIFIER_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="功放状态（0正常 1异常）",required=false)
    private String amplifierState;

    /**
     * 照明灯状态（0关闭 1打开）(LAMP_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="照明灯状态（0关闭 1打开）",required=false)
    private String lampState;

    /**
     * 确认计量状态（0未确认 1已确认）(ENTRUST_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="确认计量状态（0未确认 1已确认）",required=false)
    private String entrustState;

    /**
     * 乐观锁(版本号)每次更新时比较版本是否相同，相同就修改并加1，不相同不修改(VERSION,DECIMAL,0)
     */
    @ApiModelProperty(value="乐观锁(版本号)每次更新时比较版本是否相同，相同就修改并加1，不相同不修改",required=false)
    private Short version;

    /**
     * 扫描车号(SCAN_CAR,VARCHAR,20)
     */
    @ApiModelProperty(value="扫描车号",required=false)
    private String scanCar;

    /**
     * 现场终端提示信息(MSG_INFO,VARCHAR,400)
     */
    @ApiModelProperty(value="现场终端提示信息",required=false)
    private String msgInfo;

    /**
     * 0:正常 1：停留超时(STOP_OVER_TIME,VARCHAR,1)
     */
    @ApiModelProperty(value="0:正常 1：停留超时",required=false)
    private String stopOverTime;

    /**
     * 委托异常 0：正常  1：异常(VALID_IS_PRE,VARCHAR,1)
     */
    @ApiModelProperty(value="委托异常 0：正常  1：异常",required=false)
    private String validIsPre;

    /**
     * 红绿灯状态（0绿灯 1红灯）(RED_GREEN_LIGHT_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="红绿灯状态（0绿灯 1红灯）",required=false)
    private String redGreenLightState;

    /**
     * 前红外光栅状态（0正常 1异常）(FRONT_INFRARED_RAY_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="前红外光栅状态（0正常 1异常）",required=false)
    private String frontInfraredRayState;

    /**
     * 后红外光栅状态（0正常 1异常）(REAR_INFRARED_RAY_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="后红外光栅状态（0正常 1异常）",required=false)
    private String rearInfraredRayState;

    /**
     * rfid状态（0正常 1异常）(RFID_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="rfid状态（0正常 1异常）",required=false)
    private String rfidState;

    /**
     * 零点报警         0不报警  1报警(ZERO_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="零点报警         0不报警  1报警",required=false)
    private String zeroState;

    /**
     * 自助计量终端IP(AUTOSCALE_IP,VARCHAR,15)
     */
    @ApiModelProperty(value="自助计量终端IP",required=false)
    private String autoscaleIp;

    /**
     * PLC    IP(PLC_IP,VARCHAR,15)
     */
    @ApiModelProperty(value="PLC    IP",required=false)
    private String plcIp;

    /**
     * 硬盘录像机IP(DVR_IP,VARCHAR,15)
     */
    @ApiModelProperty(value="硬盘录像机IP",required=false)
    private String dvrIp;

    /**
     * 接管终端用户名称（远程计量用）(USER_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="接管终端用户名称（远程计量用）",required=false)
    private String userName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.scalePointNo;
    }

    @Override
    public void setId(String scalePointNo) {
        this.scalePointNo = scalePointNo == null ? null : scalePointNo.trim();
    }

    public String getScalePointNo() {
        return scalePointNo;
    }

    public void setScalePointNo(String scalePointNo) {
        this.scalePointNo = scalePointNo == null ? null : scalePointNo.trim();
    }

    public String getScalePointName() {
        return scalePointName;
    }

    public void setScalePointName(String scalePointName) {
        this.scalePointName = scalePointName == null ? null : scalePointName.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getWeighInstrumentModel() {
        return weighInstrumentModel;
    }

    public void setWeighInstrumentModel(String weighInstrumentModel) {
        this.weighInstrumentModel = weighInstrumentModel == null ? null : weighInstrumentModel.trim();
    }

    public String getWeighInstrumentParam() {
        return weighInstrumentParam;
    }

    public void setWeighInstrumentParam(String weighInstrumentParam) {
        this.weighInstrumentParam = weighInstrumentParam == null ? null : weighInstrumentParam.trim();
    }

    public String getMoxaIp() {
        return moxaIp;
    }

    public void setMoxaIp(String moxaIp) {
        this.moxaIp = moxaIp == null ? null : moxaIp.trim();
    }

    public String getMoxaPort() {
        return moxaPort;
    }

    public void setMoxaPort(String moxaPort) {
        this.moxaPort = moxaPort == null ? null : moxaPort.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public Date getLastTime() {
        return lastTime;
    }

    public void setLastTime(Date lastTime) {
        this.lastTime = lastTime;
    }

    public Date getWeightTime() {
        return weightTime;
    }

    public void setWeightTime(Date weightTime) {
        this.weightTime = weightTime;
    }

    public String getUserNo() {
        return userNo;
    }

    public void setUserNo(String userNo) {
        this.userNo = userNo == null ? null : userNo.trim();
    }

    public String getMonitorUserNo() {
        return monitorUserNo;
    }

    public void setMonitorUserNo(String monitorUserNo) {
        this.monitorUserNo = monitorUserNo == null ? null : monitorUserNo.trim();
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public String getCollectionCode() {
        return collectionCode;
    }

    public void setCollectionCode(String collectionCode) {
        this.collectionCode = collectionCode == null ? null : collectionCode.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getSpotTypeNo() {
        return spotTypeNo;
    }

    public void setSpotTypeNo(String spotTypeNo) {
        this.spotTypeNo = spotTypeNo == null ? null : spotTypeNo.trim();
    }

    public String getSpotTypeName() {
        return spotTypeName;
    }

    public void setSpotTypeName(String spotTypeName) {
        this.spotTypeName = spotTypeName == null ? null : spotTypeName.trim();
    }

    public BigDecimal getWeightZero() {
        return weightZero;
    }

    public void setWeightZero(BigDecimal weightZero) {
        this.weightZero = weightZero;
    }

    public String getMonitorUserIp() {
        return monitorUserIp;
    }

    public void setMonitorUserIp(String monitorUserIp) {
        this.monitorUserIp = monitorUserIp == null ? null : monitorUserIp.trim();
    }

    public String getIsHelp() {
        return isHelp;
    }

    public void setIsHelp(String isHelp) {
        this.isHelp = isHelp == null ? null : isHelp.trim();
    }

    public String getIsTakeOver() {
        return isTakeOver;
    }

    public void setIsTakeOver(String isTakeOver) {
        this.isTakeOver = isTakeOver == null ? null : isTakeOver.trim();
    }

    public String getLedWriter() {
        return ledWriter;
    }

    public void setLedWriter(String ledWriter) {
        this.ledWriter = ledWriter == null ? null : ledWriter.trim();
    }

    public String getRfidCar() {
        return rfidCar;
    }

    public void setRfidCar(String rfidCar) {
        this.rfidCar = rfidCar == null ? null : rfidCar.trim();
    }

    public String getPhotoCar() {
        return photoCar;
    }

    public void setPhotoCar(String photoCar) {
        this.photoCar = photoCar == null ? null : photoCar.trim();
    }

    public String getWgtErr() {
        return wgtErr;
    }

    public void setWgtErr(String wgtErr) {
        this.wgtErr = wgtErr == null ? null : wgtErr.trim();
    }

    public String getUserIp() {
        return userIp;
    }

    public void setUserIp(String userIp) {
        this.userIp = userIp == null ? null : userIp.trim();
    }

    public String getAiWeight() {
        return aiWeight;
    }

    public void setAiWeight(String aiWeight) {
        this.aiWeight = aiWeight == null ? null : aiWeight.trim();
    }

    public String getCarErr() {
        return carErr;
    }

    public void setCarErr(String carErr) {
        this.carErr = carErr == null ? null : carErr.trim();
    }

    public String getPowerState() {
        return powerState;
    }

    public void setPowerState(String powerState) {
        this.powerState = powerState == null ? null : powerState.trim();
    }

    public String getDvrState() {
        return dvrState;
    }

    public void setDvrState(String dvrState) {
        this.dvrState = dvrState == null ? null : dvrState.trim();
    }

    public String getMoxaState() {
        return moxaState;
    }

    public void setMoxaState(String moxaState) {
        this.moxaState = moxaState == null ? null : moxaState.trim();
    }

    public String getPlcState() {
        return plcState;
    }

    public void setPlcState(String plcState) {
        this.plcState = plcState == null ? null : plcState.trim();
    }

    public String getLeftInfraredRayState() {
        return leftInfraredRayState;
    }

    public void setLeftInfraredRayState(String leftInfraredRayState) {
        this.leftInfraredRayState = leftInfraredRayState == null ? null : leftInfraredRayState.trim();
    }

    public String getRightInfraredRayState() {
        return rightInfraredRayState;
    }

    public void setRightInfraredRayState(String rightInfraredRayState) {
        this.rightInfraredRayState = rightInfraredRayState == null ? null : rightInfraredRayState.trim();
    }

    public String getAmplifierState() {
        return amplifierState;
    }

    public void setAmplifierState(String amplifierState) {
        this.amplifierState = amplifierState == null ? null : amplifierState.trim();
    }

    public String getLampState() {
        return lampState;
    }

    public void setLampState(String lampState) {
        this.lampState = lampState == null ? null : lampState.trim();
    }

    public String getEntrustState() {
        return entrustState;
    }

    public void setEntrustState(String entrustState) {
        this.entrustState = entrustState == null ? null : entrustState.trim();
    }

    public Short getVersion() {
        return version;
    }

    public void setVersion(Short version) {
        this.version = version;
    }

    public String getScanCar() {
        return scanCar;
    }

    public void setScanCar(String scanCar) {
        this.scanCar = scanCar == null ? null : scanCar.trim();
    }

    public String getMsgInfo() {
        return msgInfo;
    }

    public void setMsgInfo(String msgInfo) {
        this.msgInfo = msgInfo == null ? null : msgInfo.trim();
    }

    public String getStopOverTime() {
        return stopOverTime;
    }

    public void setStopOverTime(String stopOverTime) {
        this.stopOverTime = stopOverTime == null ? null : stopOverTime.trim();
    }

    public String getValidIsPre() {
        return validIsPre;
    }

    public void setValidIsPre(String validIsPre) {
        this.validIsPre = validIsPre == null ? null : validIsPre.trim();
    }

    public String getRedGreenLightState() {
        return redGreenLightState;
    }

    public void setRedGreenLightState(String redGreenLightState) {
        this.redGreenLightState = redGreenLightState == null ? null : redGreenLightState.trim();
    }

    public String getFrontInfraredRayState() {
        return frontInfraredRayState;
    }

    public void setFrontInfraredRayState(String frontInfraredRayState) {
        this.frontInfraredRayState = frontInfraredRayState == null ? null : frontInfraredRayState.trim();
    }

    public String getRearInfraredRayState() {
        return rearInfraredRayState;
    }

    public void setRearInfraredRayState(String rearInfraredRayState) {
        this.rearInfraredRayState = rearInfraredRayState == null ? null : rearInfraredRayState.trim();
    }

    public String getRfidState() {
        return rfidState;
    }

    public void setRfidState(String rfidState) {
        this.rfidState = rfidState == null ? null : rfidState.trim();
    }

    public String getZeroState() {
        return zeroState;
    }

    public void setZeroState(String zeroState) {
        this.zeroState = zeroState == null ? null : zeroState.trim();
    }

    public String getAutoscaleIp() {
        return autoscaleIp;
    }

    public void setAutoscaleIp(String autoscaleIp) {
        this.autoscaleIp = autoscaleIp == null ? null : autoscaleIp.trim();
    }

    public String getPlcIp() {
        return plcIp;
    }

    public void setPlcIp(String plcIp) {
        this.plcIp = plcIp == null ? null : plcIp.trim();
    }

    public String getDvrIp() {
        return dvrIp;
    }

    public void setDvrIp(String dvrIp) {
        this.dvrIp = dvrIp == null ? null : dvrIp.trim();
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName == null ? null : userName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", scalePointNo=").append(scalePointNo);
        sb.append(", scalePointName=").append(scalePointName);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", weighInstrumentModel=").append(weighInstrumentModel);
        sb.append(", weighInstrumentParam=").append(weighInstrumentParam);
        sb.append(", moxaIp=").append(moxaIp);
        sb.append(", moxaPort=").append(moxaPort);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", lastTime=").append(lastTime);
        sb.append(", weightTime=").append(weightTime);
        sb.append(", userNo=").append(userNo);
        sb.append(", monitorUserNo=").append(monitorUserNo);
        sb.append(", weight=").append(weight);
        sb.append(", collectionCode=").append(collectionCode);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", spotTypeNo=").append(spotTypeNo);
        sb.append(", spotTypeName=").append(spotTypeName);
        sb.append(", weightZero=").append(weightZero);
        sb.append(", monitorUserIp=").append(monitorUserIp);
        sb.append(", isHelp=").append(isHelp);
        sb.append(", isTakeOver=").append(isTakeOver);
        sb.append(", ledWriter=").append(ledWriter);
        sb.append(", rfidCar=").append(rfidCar);
        sb.append(", photoCar=").append(photoCar);
        sb.append(", wgtErr=").append(wgtErr);
        sb.append(", userIp=").append(userIp);
        sb.append(", aiWeight=").append(aiWeight);
        sb.append(", carErr=").append(carErr);
        sb.append(", powerState=").append(powerState);
        sb.append(", dvrState=").append(dvrState);
        sb.append(", moxaState=").append(moxaState);
        sb.append(", plcState=").append(plcState);
        sb.append(", leftInfraredRayState=").append(leftInfraredRayState);
        sb.append(", rightInfraredRayState=").append(rightInfraredRayState);
        sb.append(", amplifierState=").append(amplifierState);
        sb.append(", lampState=").append(lampState);
        sb.append(", entrustState=").append(entrustState);
        sb.append(", version=").append(version);
        sb.append(", scanCar=").append(scanCar);
        sb.append(", msgInfo=").append(msgInfo);
        sb.append(", stopOverTime=").append(stopOverTime);
        sb.append(", validIsPre=").append(validIsPre);
        sb.append(", redGreenLightState=").append(redGreenLightState);
        sb.append(", frontInfraredRayState=").append(frontInfraredRayState);
        sb.append(", rearInfraredRayState=").append(rearInfraredRayState);
        sb.append(", rfidState=").append(rfidState);
        sb.append(", zeroState=").append(zeroState);
        sb.append(", autoscaleIp=").append(autoscaleIp);
        sb.append(", plcIp=").append(plcIp);
        sb.append(", dvrIp=").append(dvrIp);
        sb.append(", userName=").append(userName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}